@echo off
echo **********  Getting content files
wget http://heanet.dl.sourceforge.net/sourceforge/sc2/uqm-0.4.0-content.uqm

echo **********  Getting up-to-dat Executables
wget http://www.crusaders.no/~joker/sc2/default.xbe

echo **********  Getting speech files
wget http://heanet.dl.sourceforge.net/sourceforge/sc2/uqm-0.4.0-voice.uqm

echo **********  Getting 3do files
wget http://heanet.dl.sourceforge.net/sourceforge/sc2/uqm-0.4.0-3domusic.uqm

echo **********  Getting movies
wget http://www.nunim.info/sc2/uqm-0.4.0-3domovies.uqm

echo **********  Getting updated keyconfig
wget http://www.kja.pwp.blueyonder.co.uk/keys.cfg

mkdir content
cd content

echo ********** Unpacking Content files

..\u -qq ..\uqm-0.4.0-content.uqm
del ..\uqm-0.4.0-content.uqm

echo ********** Unpacking movie files

..\u -qq ..\uqm-0.4.0-3domovies.uqm
del ..\uqm-0.4.0-3domovies.uqm

echo ********** Unpacking Speech files

..\u -qq ..\uqm-0.4.0-voice.uqm
del ..\uqm-0.4.0-voice.uqm

echo ********** Unpacking Music files

..\u -qq ..\uqm-0.4.0-3domusic.uqm
del ..\uqm-0.4.0-3domusic.uqm

cd ..
mkdir cfg
mkdir cfg\save
mkdir cfg\teams
copy keys.cfg cfg\save\keys.cfg
copy keys.cfg cfg\teams\keys.cfg
move keys.cfg cfg\keys.cfg
move intro.txt content\slides\intro\intro.txt
move ending.txt content\slides\ending\ending.txt
move final.txt content\slides\ending\final.txt
move victory1.txt content\slides\ending\victory1.txt
move victory2.txt content\slides\ending\victory2.txt
del wget.exe
del u.exe
del CreateSC2.bat
